demo.redmine.org SSL_ERROR_UNSUPPORTED_VERSION

2022-12-08 16:43 - Francewhoa (Francois Carpentier)

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Website (redmine.org) Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

The Redmine shared online demo at https://demo.redmine.org is displaying an error message. The connection seems to both failing

and unsecured. The attached screenshots show this error message.

Below is the same as above. But with details if you're interested in those.

Steps to reproduce:

1. Using a modern internet browser. Such as https://mozilla.org/firefox v102 or Chromium v106. Go to 

https://www.redmine.org/#Online-demo

2. Click on the link http://demo.redmine.org/

3. This error message is display. This is the challenge.

Secure Connection Failed

An error occurred during a connection to demo.redmine.org. Cannot communicate securely with pe

er: no common encryption algorithm(s).

Error code: SSL_ERROR_NO_CYPHER_OVERLAP

    The page you are trying to view cannot be shown because the authenticity of the received d

ata could not be verified.

    Please contact the website owners to inform them of this problem.

Cause:

Possible cause of this challenge

Outdated SSL certificate

Maybe the SSL certificate is an old version. For example, TLS v1.0 or v1.1. Which are no longer accepted by most browsers. So

the connection fails. Then this error message is display.

Expired SSL certificate

Maybe the SSL certificate is expired

No SSL certificate

Maybe the server is configured to require an SSL certificate. But somehow none are presently configured properly.

What I tried that did not work:

Using the browser, deactivate all contributed modules

Temporarily allow unsecured connection

Try different browser. Firefox, Chromium, Tor Browser

Suggested resolution:
Use this free, secured, and very popular https://letsencrypt.org SSL certificate. Which can automatically renew itself to any

future new version of TLS.

History

#1 - 2022-12-08 16:54 - Francewhoa (Francois Carpentier)

I believe we found the cause of this challenge. http://demo.redmine.org does not presently support secured connection (HTTPS). To resolve this

challenge, user need to:

1. Go to http://demo.redmine.org not https://demo.redmine.org

2. Then using their internet browser, allow unsecured connection (HTTP)

3. The unsecured http://demo.redmine.org will display

#2 - 2022-12-08 17:04 - Francewhoa (Francois Carpentier)

I created this new ticket #38025. About a suggestion to add a free SSL certificate to https://demo.redmine.org

I'm leaving this present ticket #38024 open. As #38025 would resolve #38024.

#3 - 2022-12-09 00:53 - Go MAEDA

- Category changed from Security to Website (redmine.org)

#4 - 2024-06-20 16:42 - Holger Just

- Status changed from New to Closed

- Resolution set to Wont fix

The http://demo.redmine.org service was discontinued entirely.
